import mcrfpy

# Test sprite index validation
t = mcrfpy.Texture("assets/kenney_ice.png", 16, 16)
s = mcrfpy.Sprite(10, 10, t, 5)

print(f"Initial sprite index: {s.sprite_number}")

# Try valid index
s.sprite_number = 50
print(f"Set to 50: {s.sprite_number}")

# Try invalid index
try:
    s.sprite_number = 200
    print("ERROR: Should have rejected index 200")
except ValueError as e:
    print(f"✓ Correctly rejected: {e}")

# Try negative
try:
    s.sprite_number = -1
    print("ERROR: Should have rejected negative index")
except ValueError as e:
    print(f"✓ Correctly rejected negative: {e}")